<p>Reactive form</p>
<form [formGroup]="myForm" >
  <input formControlName="name" placeholder="Your name">
  <input formControlName="email" placeholder="Your email">
  <input formControlName="message" placeholder="Your message">
  <button (click)="submitForm()" type="submit">Send</button>
</form>

<span class="error-color" *ngIf="!myForm.valid">Form is not valid , required field is empty</span>